package com.jiuqi.grid;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jiuqi.grid.GridCell;

public final class GridCellProperty extends GridCell {
  private boolean modifed = false;
  
  private int refCount = 0;
  
  private Integer lEdgeStyle = null;
  
  private Integer lEdgeColor = null;
  
  private Integer tEdgeStyle = null;
  
  private Integer tEdgeColor = null;
  
  protected void dataChanged() {
    this.modifed = true;
    if (this.refCount == 0)
      applyChange(); 
  }
  
  protected void applyChange() {
    if (this.modifed) {
      if (this.grid != null)
        this.grid.setCell(this); 
      if (this.lEdgeColor != null) {
        super.setLEdgeColor(this.lEdgeColor.intValue());
        this.lEdgeColor = null;
      } 
      if (this.lEdgeStyle != null) {
        super.setLEdgeStyle(this.lEdgeStyle.intValue());
        this.lEdgeStyle = null;
      } 
      if (this.tEdgeColor != null) {
        super.setTEdgeColor(this.tEdgeColor.intValue());
        this.tEdgeColor = null;
      } 
      if (this.tEdgeStyle != null) {
        super.setTEdgeStyle(this.tEdgeStyle.intValue());
        this.tEdgeStyle = null;
      } 
      this.modifed = false;
    } 
  }
  
  public void beginUpdate() {
    this.refCount++;
  }
  
  public void endUpdate() {
    this.refCount--;
    if (this.refCount == 0)
      applyChange(); 
  }
  
  public void cancelUpdate() {
    this.refCount--;
    if (this.modifed) {
      init(this.grid, getColNum(), getRowNum());
      this.modifed = false;
    } 
  }
  
  public void setLEdgeColor(int value) {
    if (this.refCount == 0) {
      super.setLEdgeColor(value);
    } else {
      this.lEdgeColor = new Integer(value);
      this.modifed = true;
    } 
  }
  
  public void setLEdgeStyle(int value) {
    if (this.refCount == 0) {
      super.setLEdgeStyle(value);
    } else {
      this.lEdgeStyle = new Integer(value);
      this.modifed = true;
    } 
  }
  
  public void setTEdgeColor(int value) {
    if (this.refCount == 0) {
      super.setTEdgeColor(value);
    } else {
      this.tEdgeColor = new Integer(value);
      this.modifed = true;
    } 
  }
  
  public void setTEdgeStyle(int value) {
    if (this.refCount == 0) {
      super.setTEdgeStyle(value);
    } else {
      this.tEdgeStyle = new Integer(value);
      this.modifed = true;
    } 
  }
}
